<template>
  <v-tooltip top>
    <template #activator="{ on }">
      <div v-on="on">
        <v-file-input
          v-model="file"
          hide-input
          prepend-icon="vpn_key"
          accept="application/JSON"
          @change="readMapFileAndApply"
        />
      </div>
    </template>
    <span>Apply mapping</span>
  </v-tooltip>
</template>

<script>
export default {
  name: 'StudentListReverseMapper',
  data () {
    return {
      file: null,
      fileReader: new FileReader()
    }
  },
  methods: {
    readMapFileAndApply () {
      this.fileReader.onload = event => {
        const studentMap = JSON.parse(event.target.result)
        this.reverseMapStudents(studentMap)
      }
      this.fileReader.readAsText(this.file)
    },
    reverseMapStudents (studentMap) {
      this.$store.commit('SET_STUDENT_MAP', studentMap)
      this.$store.commit('SET_STUDENTS', Object.values(this.$store.state.students))
    }
  }
}
</script>

<style scoped>

</style>
